#ifndef _VELIB_MK3_UPDATE_H_
#define _VELIB_MK3_UPDATE_H_

#include <velib/vebusupd/vff_file.h>
#include <velib/vebusupd/vebus_device_update.h>

typedef enum {
	START_UPDATE_FROM_BOOTLOADER,			/* Lowlevel firmware update. requires MK3 reset */
	START_UPDATE_FROM_APPLICATION,
} Mk3UpdateMode;

/* 50 ms time tick */
void mk3FirmwareTick(void);

veBool mk3UpdateBusy(void);
void mk3FirmwareUpdate(Mk3UpdateMode mode, VffData* pData, int dataIndex, VbdubUpdateResultCallback* callback);
void mk3RxUpdateRxByte(un8 inbyte);


#endif	/* _VELIB_MK3_UPDATE_H_ */
